=== debian/changelog ===
timew (1.4.3+ds.1-2) unstable; urgency=medium

  * Increase timeout for config steps in tests to try and avoid flaky
    autopkgtests. Patch by Travis Wrightsman. May address #1001668.

 -- Gordon Ball <gordon@chronitis.net>  Sun, 23 Oct 2022 22:38:14 +0200

timew (1.4.3+ds.1-1) unstable; urgency=medium

  * New upstream version 1.4.3+ds.1
  * Rebase patches, drop thread-is-alive (upstream)
  * Add build-depends on asciidoctor for man pages
  * Fix out-of-source build for manpages

 -- Gordon Ball <gordon@chronitis.net>  Wed, 27 Oct 2021 18:11:54 +0000

timew (1.4.2+ds.1-4) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * simplify a bit the uscan rule, using the recommended option from uscan

  [ Gordon Ball ]
  * d/watch: new github tarball URL
  * Debhelper compat 13
  * Standards-Version: 4.6.0

 -- Gordon Ball <gordon@chronitis.net>  Mon, 25 Oct 2021 17:43:55 +0000
