## timew 1.5.0+ds.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include (CXXSniffer)
 include (FindAsciidoctor)
 
-set (PROJECT_VERSION "1.4.3")
+set (PROJECT_VERSION "1.5.0")
 
 string(TOUPPER "${CMAKE_BUILD_TYPE}" uppercase_CMAKE_BUILD_TYPE)
