=== debian/changelog ===
timew (1.5.0+ds.1-1ubuntu1) noble; urgency=medium

  [Colin Watson]
  * Fix autopkgtest failure due to stderr output.  (LP: #2043738)

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 16 Nov 2023 15:12:16 -0700

timew (1.5.0+ds.1-1) unstable; urgency=medium

  * New upstream version 1.5.0+ds.1
  * d/patches: Refresh patches and add Forwarded option
  * d/control:
    + Added myself as uploaders
    + Bump Standards-Version to 4.6.2 (no changes needed)
  * d/copyright: Update copyrights years

 -- Sebastien Badia <sbadia@debian.org>  Sun, 02 Jul 2023 00:34:46 +0200
