=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: timew
 Section: utils
 Priority: optional
-Maintainer: Debian Tasktools Team <team+tasktools@tracker.debian.org>
-Uploaders: Gordon Ball <gordon@chronitis.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Tasktools Team <team+tasktools@tracker.debian.org>
+Uploaders: Gordon Ball <gordon@chronitis.net>, Sebastien Badia <sbadia@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, git, python3, bash-completion, asciidoctor
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://timewarrior.net/
 Vcs-Browser: https://salsa.debian.org/tasktools-team/timew
 Vcs-Git: https://salsa.debian.org/tasktools-team/timew.git
