=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required (VERSION 2.8.12)
+cmake_minimum_required (VERSION 3.8)
 include_directories (${CMAKE_SOURCE_DIR}
                      ${CMAKE_SOURCE_DIR}/src
                      ${CMAKE_SOURCE_DIR}/src/commands
@@ -14,6 +14,8 @@
                 DatetimeParser.cpp DatetimeParser.h
                 Exclusion.cpp  Exclusion.h
                 Extensions.cpp Extensions.h
+                ExtensionsTable.cpp ExtensionsTable.h
+                GapsTable.cpp GapsTable.h
                 Interval.cpp   Interval.h
                 IntervalFactory.cpp IntervalFactory.h
                 IntervalFilter.cpp IntervalFilter.h
@@ -25,8 +27,11 @@
                 Journal.cpp    Journal.h
                 Range.cpp      Range.h
                 Rules.cpp      Rules.h
+                SummaryTable.cpp SummaryTable.h
+                TagDescription.cpp TagDescription.h
                 TagInfo.cpp    TagInfo.h
                 TagInfoDatabase.cpp TagInfoDatabase.h
+                TagsTable.cpp TagsTable.h
                 Transaction.cpp Transaction.h
                 TransactionsFactory.cpp TransactionsFactory.h
                 UndoAction.cpp UndoAction.h
@@ -65,11 +70,10 @@
 add_executable (timew_executable timew.cpp)
 add_executable (lex_executable   lex.cpp)
 
-target_link_libraries (timew_executable timew libshared commands timew libshared ${TIMEW_LIBRARIES})
-target_link_libraries (lex_executable   timew libshared                libshared ${TIMEW_LIBRARIES})
+target_link_libraries (timew_executable timew commands timew libshared ${TIMEW_LIBRARIES})
+target_link_libraries (lex_executable   timew                libshared ${TIMEW_LIBRARIES})
 
 set_property (TARGET timew_executable PROPERTY OUTPUT_NAME "timew")
 set_property (TARGET lex_executable   PROPERTY OUTPUT_NAME "lex")
 
-install (TARGETS timew_executable DESTINATION bin)
-
+install (TARGETS timew_executable DESTINATION ${TIMEW_BINDIR})
