=== src/commands/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required (VERSION 2.8.12)
+cmake_minimum_required (VERSION 3.8)
 include_directories (${CMAKE_SOURCE_DIR}
                      ${CMAKE_SOURCE_DIR}/src
                      ${CMAKE_SOURCE_DIR}/src/commands
@@ -7,15 +7,14 @@
 
 set (ADDITIONAL_HELP_H "additional-help.h")
 
-ADD_CUSTOM_COMMAND (
-	OUTPUT ${ADDITIONAL_HELP_H}
-	COMMAND /bin/sh src/commands/generate-additional-help.sh > src/commands/${ADDITIONAL_HELP_H}
-	DEPENDS ${CMAKE_CURRENT_LIST_DIR}/generate-additional-help.sh
-	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-	COMMENT "Generating ${ADDITIONAL_HELP_H}")
+add_custom_command (OUTPUT ${ADDITIONAL_HELP_H}
+                    COMMAND /bin/sh src/commands/generate-additional-help.sh > src/commands/${ADDITIONAL_HELP_H}
+                    DEPENDS ${CMAKE_CURRENT_LIST_DIR}/generate-additional-help.sh
+                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+                    COMMENT "Generating ${ADDITIONAL_HELP_H}")
 
-ADD_CUSTOM_TARGET (generate_additional_help
-									 DEPENDS ${ADDITIONAL_HELP_H})
+add_custom_target (generate_additional_help
+                   DEPENDS ${ADDITIONAL_HELP_H})
 
 set (commands_SRCS CmdAnnotate.cpp
                    CmdCancel.cpp
@@ -37,6 +36,7 @@
                    CmdMove.cpp
                    CmdReport.cpp
                    CmdResize.cpp
+                   CmdRetag.cpp
                    CmdStart.cpp
                    CmdStop.cpp
                    CmdSummary.cpp
