=== debian/changelog ===
timew (1.7.1+ds.1-2) unstable; urgency=medium

  * Team upload.
  * Run tests with all supported Python3 versions to verify problems with
    non-default Python3 versions
  * Autopkgtest: Restrictions: allow-stderr
    Closes: #1061850 
  * Stop changing shebang in Python3 scripts and add debian/clean to fix
    dh_clean target
    Closes: #1047001

 -- Andreas Tille <tille@debian.org>  Sun, 25 Feb 2024 10:25:40 +0100

timew (1.7.1+ds.1-1) unstable; urgency=medium

  * New upstream version 1.7.1+ds.1
  * d/upstream: Added metadata (UMEGAYA)
  * d/copyright:
    + Added myself
    + Added a comment about tarball repacked
  * d/patches:
    + Refresh patches according new release
    + Remove applied upstream patch
    + Added DEP-3 headers

 -- Sebastien Badia <sbadia@debian.org>  Sat, 27 Jan 2024 22:32:33 +0100

timew (1.5.0+ds.1-2) unstable; urgency=medium

  * d/tests: use mandb -u to avoid extraneous stderr; patch from Colin Watson
    (closes: #1053924)

 -- Gordon Ball <gordon@chronitis.net>  Sat, 20 Jan 2024 21:32:39 +0000
