=== debian/tests/control ===
Tests: timewarrior
Depends: @, python3-all, python3-dateutil, man-db
Restrictions: allow-stderr
