## timew 1.9.1+ds.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required (VERSION 3.8)
+cmake_minimum_required (VERSION 3.10)
 set (CMAKE_CXX_STANDARD 17)
 set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")
 set (HAVE_CMAKE true)
@@ -6,8 +6,9 @@
 project (timew)
 include (CXXSniffer)
 include (FindAsciidoctor)
+include (CheckFunctionExists)
 
-set (PROJECT_VERSION "1.7.1")
+set (PROJECT_VERSION "1.9.1")
 
 string(TOUPPER "${CMAKE_BUILD_TYPE}" uppercase_CMAKE_BUILD_TYPE)
 
@@ -45,6 +46,9 @@
 set (TIMEW_DOCDIR share/doc/timew CACHE STRING "Installation directory for doc files")
 set (TIMEW_BINDIR bin             CACHE STRING "Installation directory for Timewarrior executable")
 
+check_function_exists(strlcpy HAVE_STRLCPY)
+check_function_exists(timegm  HAVE_TIMEGM)
+
 message ("-- Configuring cmake.h")
 configure_file (${CMAKE_SOURCE_DIR}/cmake.h.in
                 ${CMAKE_SOURCE_DIR}/cmake.h)
@@ -72,15 +76,21 @@
                                 "CPackSourceConfig"
                                 "_CPack_Packages"
                                 "cmake_install"
+                                "cmake.h$"
+                                "commit.h$"
                                 "install_manifest"
                                 "Makefile$"
-                                "test"
                                 "package-config"
                                 "src/timew$"
                                 "src/libtimew.a"
                                 "src/commands/libcommands.a"
                                 "src/lex$"
+                                "src/libshared.a"
                                 "src/liblibshared.a"
+                                "src/libshared/test"
+                                "/\\\\.pre-commit-config.yaml"
+                                "/\\\\.gitmodules"
+                                "/\\\\.github/"
                                 "/\\\\.gitignore"
                                 "/\\\\.git/"
                                 "swp$")
