=== src/libshared/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,10 @@
-cmake_minimum_required (VERSION 3.1)
+cmake_minimum_required (VERSION 3.10)
 set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")
 set (HAVE_CMAKE true)
 # https://cmake.org/cmake/help/latest/prop_tgt/CXX_STANDARD.html
 set(CMAKE_CXX_STANDARD 17)
+
+set (CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
 project (shared)
 include (CXXSniffer)
@@ -20,6 +22,7 @@
 set (PACKAGE_STRING "${PACKAGE} ${VERSION}")
 
 check_function_exists(strlcpy HAVE_STRLCPY)
+check_function_exists(timegm  HAVE_TIMEGM)
 
 message ("-- Configuring cmake.h")
 configure_file (
