=== debian/changelog ===
timew (1.9.1+ds.1-1) unstable; urgency=medium

  * New upstream version 1.9.1+ds.1
  * Rebase patches
  * Use dh-shell-completions, install zsh, fish completions
  * d/control: standards-version 4.7.2, drop rules-requires-root

 -- Gordon Ball <gordon@chronitis.net>  Sun, 02 Nov 2025 21:44:49 +0100
