=== debian/control ===
Source: timew
Section: utils
Priority: optional
Maintainer: Debian Tasktools Team <team+tasktools@tracker.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>, Sebastien Badia <sbadia@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, git, python3, asciidoctor, dh-shell-completions
Standards-Version: 4.7.2
Homepage: https://timewarrior.net/
Vcs-Browser: https://salsa.debian.org/tasktools-team/timew
Vcs-Git: https://salsa.debian.org/tasktools-team/timew.git

Package: timewarrior
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: python3
Recommends: taskwarrior
Description: feature-rich time tracking utility
 Timewarrior is a time tracking utility that offers simple stopwatch features
 as well as sophisticated calendar-based backfill, along with flexible
 reporting.
