=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with bash-completion
+	dh $@ --with shell_completions
+
+override_dh_auto_configure:
+	find . -type f -exec sed -i '1s|^#!/usr/bin/env python|#!/usr/bin/python|' {} \;
+	dh_auto_configure
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k ChangeLog
