=== debian/tests/control ===
Tests: timewarrior
Depends: @, python3, python3-dateutil, man-db
