=== debian/watch ===
# this watchfile will find new releases, but currently doesn't download
# them correctly as a git submodule (src/libshared) is also required

version=4
opts=dversionmangle=auto,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://github.com/GothenburgBitFactory/timewarrior/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
